unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, TeeTools;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure RectClick(Sender:TAnnotationTool; Button:TMouseButton; Shift: TShiftState; X, Y: Integer);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses CandleCh;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  Chart1.Axes.Left.Grid.Visible:=false;
  Chart1.Axes.Bottom.Grid.Visible:=false;

  Chart1.AddSeries(TCandleSeries).FillSampleValues(100);

  with Chart1.Tools.Add(TRectangleTool) as TRectangleTool do
  begin
    Left:=500;
    Top:=200;

    Width:=200;
    Height:=100;

    OnClick:=RectClick;
  end;
end;

procedure TForm1.RectClick(Sender:TAnnotationTool; Button:TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if Button=mbRight then
  begin
    with Chart1.Tools.Add(TRectangleTool) as TRectangleTool do
    begin
      AutoSize:=Sender.AutoSize;
      Shape.Transparency:=Sender.Shape.Transparency;
      Top:=Sender.Top+Sender.Height;
      Left:=Sender.Left;
      Width:=Sender.Width;
      Height:=Sender.Height;
      OnClick:=RectClick;
    end;
  end;
end;

end.
